Get started
API Endpoint
https://api.climatemappingservices.com.au/web/api/
The Climate Mapping Services API allows access to generate flood mapping reports.
Please contact us at info@climatemappingservices.com to obtain an API key.
Create Report
# Here is a curl example
curl -X POST -H "Content-Type: application/json" -d "{ \"secret_key\": \"SECRET_KEY\", \"action\":\"create\", \"address_street_number\":\"1\", \"address_street_name_and_type\":\"Martin Pl\", \"address_suburb\":\"Sydney\", \"address_state\":\"NSW\", \"address_postcode\":\"2000\", \"radius\":70 }" https://api.climatemappingservices.com.au/web/api/
This operation will require available API credits in your account or a post-paid option
To generate a report you need to make a POST request in JSON format to the following url :
https://api.climatemappingservices.com.au/web/api/
Result example :
{
status: "ok",
prepaid_remaining: 36,
postpaid_used: 0,
reference: "XXXXXXXX",
report_status: 0
}
QUERY PARAMETERS
| Field | Type | Description |
|---|---|---|
| secret_key | String | Your API key. |
| action | String | create |
| address_street_number | String | House Number (ie. 1) |
| address_street_name_and_type | String | Street name and type (ie. Martin Pl) |
| address_suburb | String | Suburb name (ie. Sydney) |
| address_state | String | State code (ie. NSW) |
| address_postcode | String | Post code (ie. 2000) |
| address_lat | String | Latitude (ie. -33.86779) |
| address_lng | String | Longitude (ie.151.20775) |
| radius (optional) | Integer | (5 to 80) Defaults to 80 (metres) |
Fetch Report
# Here is a curl example
curl -X POST -H "Content-Type: application/json" -d "{ \"secret_key\": \"SECRET_KEY\", \"action\":\"fetch\",\"reference\":\"XXXXXXXX\" }" https://api.climatemappingservices.com.au/web/api/
This operation does not require API credits to perform
Reports may take up to 60 seconds or more to process. You may poll our API every 3 seconds to obtain the latest status of the report.
External webhooks may also be available upon request.
To fetch a report you need to make a POST request in JSON format to the following url to obtain the status:
https://api.climatemappingservices.com.au/web/api/
Result example [New] :
{
status: "ok",
reference: "XXXXXXXX",
report_status: 0
}
Result example [In Progress] :
{
status: "ok",
reference: "XXXXXXXX",
report_status: 1
}
Result example [Completed] :
{
status: "ok",
reference: "XXXXXXXX",
report_status: 5,
data:<raw JSON data>
}
QUERY PARAMETERS
| Field | Type | Description |
|---|---|---|
| secret_key | String | Your API key. |
| action | String | fetch |
| reference | String | This is the reference number returned when the report was created |
REPORT STATUS CODES
| Value | Meaning | Description |
|---|---|---|
| 0 | New | Report has been created and is waiting to process |
| 1 | In Progress | Report is being generated |
| 4 | Fail | A failure occurred - please contact us |
| 5 | Success | Report has been generated. The report data will also be included in the response to your fetch request |
Error Handling
The CMS API uses the following error codes:
| Error Code | Meaning |
|---|---|
| TBA | To be announced. |